<?php
/**
 * Products Grid widget
 *
 * Widget Name: Travel Gem Products Grid
 * Description: Displays products in grid.
 * Author: WEN Themes
 * Author URI: https://wenthemes.com
 *
 * @package Travel_Gem
 */

/**
 * Products Grid widget class.
 *
 * @since 1.0.0
 */
class Travel_Gem_Products_Grid_Widget extends SiteOrigin_Widget {

	/**
	 * Constructor.
	 *
	 * @since 1.0.0
	 */
	function __construct() {

		parent::__construct(
			'travel-gem-products-grid',
			esc_html__( 'Travel Gem: Products Grid', 'travel-gem-pro' ),
			array(
				'description' => esc_html__( 'Displays products in grid.', 'travel-gem-pro' ),
			),
			array(),
			false,
			plugin_dir_path( __FILE__ )
		);
	}

	/**
	 * Get widget form.
	 *
	 * @since 1.0.0
	 *
	 * @return array Widget form.
	 */
	function get_widget_form() {

		return array(
			'notice' => array(
				'type'        => 'message',
				'label'       => esc_html__( 'NOTE:', 'travel-gem-pro' ),
				'description' => esc_html__( 'To use this widget, first please make sure \'WooCommerce\' plugin is activated and products are added.', 'travel-gem-pro' ),
				),
			'title' => array(
				'type'  => 'text',
				'label' => esc_html__( 'Title', 'travel-gem-pro' ),
				),
			'subtitle' => array(
				'type'  => 'text',
				'label' => esc_html__( 'Subtitle', 'travel-gem-pro' ),
				),
			'heading_alignment' => array(
				'label'   => esc_html__( 'Title/subtitle Alignment', 'travel-gem-pro' ),
				'type'    => 'select',
				'default' => 'center',
				'options' => travel_gem_get_heading_alignment_options(),
				),
			'post_category' => array(
				'label'           => esc_html__( 'Select Product Category', 'travel-gem-pro' ),
				'type'            => 'taxonomy-dropdown',
				'taxonomy'        => 'product_cat',
				'show_option_all' => esc_html__( 'All Product Categories', 'travel-gem-pro' ),
				),
			'post_number' => array(
				'label'   => esc_html__( 'Number of Products', 'travel-gem-pro' ),
				'type'    => 'number',
				'default' => 4,
				),
			);
	}

}

siteorigin_widget_register( 'travel-gem-products-grid', __FILE__, 'Travel_Gem_Products_Grid_Widget' );
